// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: AreaCalc
// Author: Hassan Siddiqui
//
// Modifications: See ChangeLog
// 
// $Id: AreaCalc.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef AreaCalc_H
#define AreaCalc_H

/* General */
#include <iostream>

/* SAS-specific */
#include "Tracer.h"

/* Local */
#include "ArfDataServer.h"
#include "PixelIterator.h"
#include "NumericalRange.h"

class AreaCalc
{
public:
  
  AreaCalc();
  
  ~AreaCalc();

  double detmapSum() const;

  const vector<double> area ( const vector<double>& energyVector );

private:

  /*** Methods */

  /* Compute area for given pixel position */
  double pixelArea( double energy, 
		    double detfrac,
		    double flux,
		    const CcdQuantumEfficiencyCurve & qecurve,	
                    const EffectiveAreaCurve & eacurve,
		    const FilterTransmissionCurve & ftcurve,
                    double ootFactor ) const;

  vector<double>  missingFluxCorr( const vector<double> & area,
                         const vector<double> & eeCorrvector,
                         const vector<double> & badPixvector ) const;

  /* Member fields */

  PixelIterator * _detmapPixelIterator;
  const Frame          * _frame;
  double _detmapSum;
};

#endif
