//
// Module: MissingPixCorrector
// Author: Hassan Siddiqui
//
// Description: 
//
// Point source implementation of an Encircled Energy Corrector class
//
// Modifications: See ChangeLog
// 
// $Id: MissingPixCorrector.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef MissingPixCorrector_H
#define MissingPixCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "IterEeCorrector.h"
#include "PixelIterator.h"

class MissingPixCorrector : public IterEeCorrector
//class MissingPixCorrector 
{
public:

  /* Constructor */
  //MissingPixCorrector(unsigned eefactor):IterEeCorrector(eefactor ){};
  MissingPixCorrector(unsigned eefactor);
  //MissingPixCorrector(){};

  /* Destructor */
  virtual ~MissingPixCorrector();

  /* Method for filtering the map */
  virtual void filterMap() =0;

  virtual int totalPixels() const=0;

private:

  virtual double eeFraction( double energy ) const=0;

};

#endif
