//
// Module: OffCCDPSFCorrector
// Author: Richard Saxton
//
// Description:
//
// Class to return pixels within the source box which are in the chip
// gaps. These may be modified by the PSF function.
//
// Modifications: See ChangeLog
//
// $Id: OffCCDPSFCorrector.h,v 1.4 2009/09/03 13:19:51 aibarra Exp $

#ifndef OffCCDPSFCorrector_H
#define OffCCDPSFCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "IterEeCorrector.h"
#include "PixelIterator.h"
#include "PsfModel.h"
#include "MissingPixCorrector.h"

class OffCCDPSFCorrector : public MissingPixCorrector
{
public:

  /* Constructor */
  OffCCDPSFCorrector(unsigned eefactor, PsfModel * psf);

  /* Destructor */
  ~OffCCDPSFCorrector();

  /* Map filter */
  /* AI gcc4 porting
   * error: extra qualification ‘OffCCDPSFCorrector::’ on member ‘filterMap’
   * => OffCCDPSFCorrector:: removed
   */
  void filterMap();

  int totalPixels() const;

private:

  PixelIterator * _pxitr;
//  PixelIterator * _ocpxitr;
  PsfModel * _psf;

  double eeFraction( double energy ) const;

};

#endif
