// Module: SourcePosition
//
// Author: Hassan Siddiqui
//
// Description: 
//
// Stores the coordinates of a point in 2-d space.
//
// Modifications: See ChangeLog
// 
// $Id: SourcePosition.cc,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

/* General */

/* SAS-specific */
#include "SourcePosition.h"
#include "errstr.h"
#include "Tracer.h"

/*** Constructors */
SourcePosition::SourcePosition( double xdet, 
				  double ydet,
				  double theta,
				  double phi) :
  _xdet(xdet),
  _ydet(ydet),
  _theta(theta),
  _phi(phi)
{ 
  PROC;

  errstr << "Constructing SourcePosition object with"
	 << " xdet="<< xdet
	 << " ydet="<< ydet
	 << " theta="<< theta
	 << " phi="<< phi
	 << Sas::message(Msg::App, Msg::Noisy);

  ENDPROC;
}

/*** Accessors */
double SourcePosition::xdet() const
{
  PROC;
  RETURN _xdet;
}
      
double SourcePosition::ydet() const
{
  PROC;
  RETURN _ydet;
}
      
double SourcePosition::theta() const
{
  PROC;
  RETURN _theta;
}
      
double SourcePosition::phi() const
{
  PROC;
  RETURN _phi;
}
      
